#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xD9,0x37,0x0B,0xDE,0x5D,0x7A,0x58,0xF9,0x44,0x0F,0xDA,0x04,
		0x1C,0x51,0x9B,0x83,0x7E,0x37,0xC4,0xB2,0xC4,0x4E,0x29,0x39,
		0x58,0xF8,0x46,0x1A,0xE1,0x86,0x8D,0x91,0x71,0x36,0x9A,0xFA,
		0x6F,0xA1,0x22,0x75,0x74,0x24,0x93,0x8C,0x0C,0x09,0x74,0x65,
		0x03,0x80,0x3F,0x55,0xDF,0x4F,0x0E,0xC3,0x1C,0x7C,0x4C,0xF5,
		0x86,0x68,0x0B,0xDB,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
